<div class="container-fluid mt-4">

  <div class="card p-4">
    <div class="row">
      <div class="col-md-12">
        <h4>{{translate('title')}}</h4>
      </div>
    </div>

    <form [formGroup]="formGroup" (submit)="save()">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <label for="descricao">{{translate('descricao')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="descricao"
                   name="descricao"
                   formControlName="descricao"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="descricao"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-4">
          <div class="form-group">
            <label for="vlrDespesa">{{translate('valor_despesa')}}</label>
            <span class="field-required">*</span>
            <div class="p-inputgroup">
              <span class="p-inputgroup-addon p-0">
                <i class="fa fa-money-bill"></i>
              </span>
              <input type="text"
                     id="vlrDespesa"
                     name="vlrDespesa"
                     formControlName="vlrDespesa"
                     class="form-control"
                     currencyMask
                     pInputText>
            </div>
            <app-form-error [form]="formGroup"
                            inputName="vlrDespesa"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="diaVencimento">{{translate('dia_vencimento')}}</label>
            <span class="field-required">*</span>
            <input type="text"
                   id="diaVencimento"
                   name="diaVencimento"
                   onlyNumber
                   formControlName="diaVencimento"
                   class="form-control"
                   pInputText>
            <app-form-error [form]="formGroup"
                            inputName="diaVencimento"
                            validationMessage="Campo obrigatório"></app-form-error>
          </div>
        </div>

        <div class="col-md-4">
          <div class="form-group">
            <label for="dtCadastro">{{translate('data_cadastro')}}</label>
            <input type="text"
                   id="dtCadastro"
                   name="dtCadastro"
                   formControlName="dtCadastro"
                   class="form-control"
                   disabled>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <label for="observacao">{{translate('observacoes')}}</label>
            <textarea type="text"
                      id="observacao"
                      name="observacao"
                      formControlName="observacao"
                      maxlength="500"
                      rows="3"
                      (keyup.control.enter)="save()"
                      class="form-control">
            </textarea>
            <app-caracter-couting [valueToCouting]="formGroup.get('observacao').value"
                                  maxSize="500">
            </app-caracter-couting>
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-md-12">
          <app-salvar [typeButton]="'submit'"></app-salvar>
          <app-cancelar (click)="back()"></app-cancelar>
        </div>
      </div>
    </form>
  </div>
</div>
